# Sponsors Sponsors ## Creates a new sponsor record that does not already exist. - [POST /sponsors/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/sponsors/createsponsor.md): This method will auto-generate an ID and create a new sponsor. If an ID is specified for the sponsor, an error will be thrown. ## Execute Batch Operations - [POST /sponsors/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/sponsors/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified event_id - [GET /sponsors/{tenantId}/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/sponsors/listsponsorsbyeventid.md): Returns a list of records with the specified event_id ## Returns a list of records with the specified organization_id - [GET /sponsors/{tenantId}/organization/{organization_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/sponsors/listsponsorsbyorganizationid.md): Returns a list of records with the specified organization_id ## Returns a sponsor from the system by its ID. - [DELETE /sponsors/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/sponsors/deletesponsor.md): This method will delete a sponsor with the specified ID. ## Returns a sponsor from the system by its ID. - [GET /sponsors/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/sponsors/getsponsor.md): This method will look up a sponsor by the specified ID and return it back. ## Partially updates a sponsor with the specified ID. - [PATCH /sponsors/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/sponsors/patchsponsor.md): This method will patch an existing sponsor with the specified ID, using the HTTP PATCH specification. ## Updates a sponsor with the specified ID. - [PUT /sponsors/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/sponsors/updatesponsor.md): This method will update an existing sponsor with the specified ID.